<!DOCTYPE html>
<html lang="zh-CN">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>系统登录</title>
    <link rel="icon" href="${s0('/favicon.ico')}" type="image/x-icon"/>
    <link rel="shortcut icon" href="${s0('/favicon.ico')}" type="image/x-icon"/>

    <link href="${s3('/css/bootstrap.css')}" rel="stylesheet">
    <link href="${s3('/css/demo.css')}" rel="stylesheet">
    <link rel="stylesheet" href="${s3('/css/font-awesome.min.css')}" type="text/css"/>

    <style>
        .form-horizontal .form-group {
            margin-right: -15px;
            margin-left: -15px;
        }

        .relative {
            position: relative;
        }

        .login-form .form-inner, .reg-form .form-inner {
            max-width: 330px;
            margin: 0 auto;
            padding: 40px 0px;
        }

        .reg_captcha_img {
            position: absolute;
            top: 0px;
            right: 0px;
        }

        .reg_captcha_tips {
            position: absolute;
            height: 42px;
            top: 2px;
            left: 47px;
            z-index: 9;
            background: #fff;
            width: 150px;
            line-height: 42px;
            text-align: center;
            color: #9f9f9f;
        }
    </style>

    <!--[if lt IE 9]>
    <script src="${s3('/js/ie/html5shiv.js')}"></script>
    <script src="${s3('/js/ie/respond.min.js')}"></script>
    <script src="${s3('/js/ie/excanvas.js')}"></script>
    <![endif]-->
</head>
<body>
<div class="reg-form">
    <div class="form-inner">
        <form id="theform" class="form-horizontal" action="/user/login.htm" method="post"
              onsubmit="return mySubmit(false)">
            <input type="password" style="visibility: hidden;"/>
            <div class="form-group relative">
                <div class="input-group">
                    <span class="input-group-addon input_icon"><i class="fa fa-user"></i></span>
                    <input type="text" id="login_name" placeholder="用户名" class="form-control input-lg"/>
                </div>
            </div>
            <div class="form-group relative">
                <div class="input-group">
                    <span class="input-group-addon"><i class="fa fa-key"></i></span>
                    <input type="password" id="login_pass" placeholder="密码" class="form-control input-lg"/>
                </div>
            </div>
            <div class="form-group">
                <button id="login" type="submit" class="btn btn-primary"
                        style="width: 100%;height: 46px;text-align: center;">登录
                </button>
            </div>

            <div id="msg" class="alert alert-danger alert-dismissible" role="alert" style="display: none"></div>

        </form>
    </div>
</div>
</body>
</html>

<script src="${s3('/js/jquery.min.js')}"></script>
<script src="${s3('/js/bootstrap.js')}"></script>
<script src="${s0('/js/app.js')}"></script>
<script src="${s3('/js/slimscroll/jquery.slimscroll.min.js')}"></script>
<script src="${s3('/js/jquery.cookie.js')}"></script>
<script src="${s3('/js/app.plugin.js')}"></script>
<script type="text/javascript">
    function mySubmit(flag) {
        return flag;
    }

    $(document).ready(function () {
        $("#theform").submit(function () {

            $("#login").attr("disabled", true);
            $.ajax({
                url: '/user/login.json',
                type: "post",
                data: {
                    ig_username: $('#login_name').val(),
                    ig_password: $('#login_pass').val()
                },
                async: false,
                dataType: "json",
                success: function (root) {
                    if (root.success) {
                        $.cookie('auth', root.data.token, { path: '/' });
                        window.location.href = root.data.href;
                    } else {
                        $("#login").attr("disabled", false);
                        showError(root.msg);
                    }
                },
                error: function (e) {
                    $("#login").attr("disabled", false);
                    console.log(e.toString());
                    showError(e);
                }
            });

        });
    });

    function showError(e) {
        $('#msg').html(e).show();
    }

</script>